## org.mariadb.jdbc.internal.com.read
Class OkPacket

    java.lang.Object
      org.mariadb.jdbc.internal.com.read.OkPacket

    public class OkPacket

extends Object

Constructor Summary
`OkPacket(Buffer buffer)` Read Ok stream result.

Method Summary
`long` `getAffectedRows()`
`long` `getInsertId()`
`short` `getServerStatus()`
`short` `getWarnings()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OkPacket

    public OkPacket(Buffer buffer)

  Read Ok stream result.

  Parameters:
    `buffer` - current stream's rawBytes

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getAffectedRows

    public long getAffectedRows()

### getInsertId

    public long getInsertId()

### getServerStatus

    public short getServerStatus()

### getWarnings

    public short getWarnings()

Copyright © 2017. All rights reserved.